Initiate Repository Images Query

Initiate Repository Images Query
Post repository images query

Post repository images query

Request
URI
POST
https://{api_host}/v1/vcenters/repository-images/queries
COPY
Request Body
RepositoryImageQuerySpec of type(s) application/json
Optional

Show optional properties

{
    "vCenterIds": [
        {}
    ]
}
{
    "vCenterIds": [
        "string"
    ]
}
array of string
vCenterIds
Required  

List of vCenter IDs

Responses
200

Ok

Returns RepositoryImageQueryResponse of type(s) application/json
{
    "errors": [
        {
            "error": {
                "errorCode": "string",
                "errorType": "string",
                "arguments": [
                    "string"
                ],
                "context": {
                    "context": "string"
                },
                "notifications": [
                    {
                        "severity": "string",
                        "message": "string",
                        "remediations": [
                            {
                                "message": "string",
                                "link": "string"
                            }
                        ],
                        "impactMessage": "string"
                    }
                ],
                "message": "string",
                "remediationMessage": "string",
                "causes": [
                    {
                        "type": "string",
                        "message": "string"
                    }
                ],
                "nestedErrors": [
                    {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            {
                                "errorCode": "string",
                                "errorType": "string",
                                "arguments": [
                                    "string"
                                ],
                                "context": {
                                    "context": "string"
                                },
                                "notifications": [
                                    {
                                        "severity": "string",
                                        "message": "string",
                                        "remediations": [
                                            {
                                                "message": "string",
                                                "link": "string"
                                            }
                                        ],
                                        "impactMessage": "string"
                                    }
                                ],
                                "message": "string",
                                "remediationMessage": "string",
                                "causes": [
                                    {
                                        "type": "string",
                                        "message": "string"
                                    }
                                ],
                                "nestedErrors": [
                                    "Error Object"
                                ],
                                "referenceToken": "string",
                                "label": "string",
                                "remediationUrl": "string"
                            }
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    }
                ],
                "referenceToken": "string",
                "label": "string",
                "remediationUrl": "string"
            },
            "resource": {
                "id": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
                "type": "One among: DOMAIN, VCENTER, CLUSTER, HOST",
                "name": "string"
            }
        }
    ],
    "queryInfo": {
        "status": "string",
        "queryId": "string",
        "errorResponse": {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        },
        "failure": false,
        "completed": false,
        "processing": false
    },
    "result": {
        "elements": [
            {
                "name": "string",
                "repositoryImageId": {
                    "vCenterImageId": "string",
                    "vCenterId": "string"
                },
                "creationTime": "string",
                "modifiedTime": "string",
                "repositoryImageSoftware": {
                    "baseImage": {
                        "version": "string",
                        "displayName": "string",
                        "displayVersion": "string",
                        "releaseDate": "string",
                        "releaseTimestamp": "string",
                        "quickPatchCompatibleVersions": [
                            {
                                "version": "8.0.3-0.0.23174786",
                                "displayVersion": "8.0 Update 3 - 23174786"
                            }
                        ]
                    },
                    "addOn": {
                        "version": "string",
                        "name": "string",
                        "vendor": "string",
                        "displayName": "string",
                        "displayVersion": "string"
                    },
                    "components": [
                        {
                            "id": "string",
                            "version": "string",
                            "vendor": "string",
                            "displayName": "string",
                            "displayVersion": "string"
                        }
                    ],
                    "solutions": [
                        {
                            "name": "string",
                            "id": "string",
                            "version": "1.3.2.8-1OEM.650.0.0.4598673",
                            "displayName": "string",
                            "displayVersion": "string",
                            "components": [
                                {
                                    "id": "string",
                                    "version": "string",
                                    "vendor": "string",
                                    "displayName": "string",
                                    "displayVersion": "string"
                                }
                            ]
                        }
                    ],
                    "firmwareAndDriverPackages": [
                        {
                            "id": "string",
                            "pkg": "string",
                            "version": "string"
                        }
                    ],
                    "removedComponents": [
                        {
                            "id": "string",
                            "version": "string",
                            "vendor": "string",
                            "displayName": "string",
                            "displayVersion": "string"
                        }
                    ],
                    "alternativeImages": [
                        {
                            "displayName": "string",
                            "baseImage": {
                                "version": "string",
                                "displayName": "string",
                                "displayVersion": "string",
                                "releaseDate": "string",
                                "releaseTimestamp": "string",
                                "quickPatchCompatibleVersions": [
                                    {
                                        "version": "8.0.3-0.0.23174786",
                                        "displayVersion": "8.0 Update 3 - 23174786"
                                    }
                                ]
                            },
                            "addOn": {
                                "version": "string",
                                "name": "string",
                                "vendor": "string",
                                "displayName": "string",
                                "displayVersion": "string"
                            },
                            "components": [
                                {
                                    "id": "string",
                                    "version": "string",
                                    "vendor": "string",
                                    "displayName": "string",
                                    "displayVersion": "string"
                                }
                            ],
                            "solutions": [
                                {
                                    "name": "string",
                                    "id": "string",
                                    "version": "1.3.2.8-1OEM.650.0.0.4598673",
                                    "displayName": "string",
                                    "displayVersion": "string",
                                    "components": [
                                        {
                                            "id": "string",
                                            "version": "string",
                                            "vendor": "string",
                                            "displayName": "string",
                                            "displayVersion": "string"
                                        }
                                    ]
                                }
                            ],
                            "firmwareAndDriverPackages": [
                                {
                                    "id": "string",
                                    "pkg": "string",
                                    "version": "string"
                                }
                            ],
                            "removedComponents": [
                                {
                                    "id": "string",
                                    "version": "string",
                                    "vendor": "string",
                                    "displayName": "string",
                                    "displayVersion": "string"
                                }
                            ],
                            "selectionCriteria": {
                                "selectionType": "One among: HOST_UUID, HOST_HARDWARE_SPEC",
                                "hostUuids": [
                                    "string"
                                ],
                                "hostHardware": {
                                    "vendor": "One among: HOST_UUID, HOST_HARDWARE_SPEC",
                                    "models": [
                                        "One among: HOST_UUID, HOST_HARDWARE_SPEC"
                                    ],
                                    "families": [
                                        "string"
                                    ],
                                    "oemStrings": [
                                        "string"
                                    ]
                                }
                            }
                        }
                    ]
                }
            }
        ],
        "pageMetadata": {
            "pageNumber": 0,
            "pageSize": 0,
            "totalElements": 0,
            "totalPages": 0
        }
    }
}
array of object
errors
Required  

Errors associated to resources for which the query failed

object
queryInfo
Read-Only  

Represents the query info.

object
result
Read-Only  

Represents a page of elements of a single type


202

Accepted

Returns RepositoryImageQueryResponse of type(s) application/json
{
    "errors": [
        {
            "error": {
                "errorCode": "string",
                "errorType": "string",
                "arguments": [
                    "string"
                ],
                "context": {
                    "context": "string"
                },
                "notifications": [
                    {
                        "severity": "string",
                        "message": "string",
                        "remediations": [
                            {
                                "message": "string",
                                "link": "string"
                            }
                        ],
                        "impactMessage": "string"
                    }
                ],
                "message": "string",
                "remediationMessage": "string",
                "causes": [
                    {
                        "type": "string",
                        "message": "string"
                    }
                ],
                "nestedErrors": [
                    "Error Object"
                ],
                "referenceToken": "string",
                "label": "string",
                "remediationUrl": "string"
            },
            "resource": {
                "id": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
                "type": "One among: DOMAIN, VCENTER, CLUSTER, HOST",
                "name": "string"
            }
        }
    ],
    "queryInfo": {
        "status": "string",
        "queryId": "string",
        "errorResponse": {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        },
        "failure": false,
        "completed": false,
        "processing": false
    },
    "result": {
        "elements": [
            {
                "name": "string",
                "repositoryImageId": {
                    "vCenterImageId": "string",
                    "vCenterId": "string"
                },
                "creationTime": "string",
                "modifiedTime": "string",
                "repositoryImageSoftware": {
                    "baseImage": {
                        "version": "string",
                        "displayName": "string",
                        "displayVersion": "string",
                        "releaseDate": "string",
                        "releaseTimestamp": "string",
                        "quickPatchCompatibleVersions": [
                            {
                                "version": "8.0.3-0.0.23174786",
                                "displayVersion": "8.0 Update 3 - 23174786"
                            }
                        ]
                    },
                    "addOn": {
                        "version": "string",
                        "name": "string",
                        "vendor": "string",
                        "displayName": "string",
                        "displayVersion": "string"
                    },
                    "components": [
                        {
                            "id": "string",
                            "version": "string",
                            "vendor": "string",
                            "displayName": "string",
                            "displayVersion": "string"
                        }
                    ],
                    "solutions": [
                        {
                            "name": "string",
                            "id": "string",
                            "version": "1.3.2.8-1OEM.650.0.0.4598673",
                            "displayName": "string",
                            "displayVersion": "string",
                            "components": [
                                {
                                    "id": "string",
                                    "version": "string",
                                    "vendor": "string",
                                    "displayName": "string",
                                    "displayVersion": "string"
                                }
                            ]
                        }
                    ],
                    "firmwareAndDriverPackages": [
                        {
                            "id": "string",
                            "pkg": "string",
                            "version": "string"
                        }
                    ],
                    "removedComponents": [
                        {
                            "id": "string",
                            "version": "string",
                            "vendor": "string",
                            "displayName": "string",
                            "displayVersion": "string"
                        }
                    ],
                    "alternativeImages": [
                        {
                            "displayName": "string",
                            "baseImage": {
                                "version": "string",
                                "displayName": "string",
                                "displayVersion": "string",
                                "releaseDate": "string",
                                "releaseTimestamp": "string",
                                "quickPatchCompatibleVersions": [
                                    {
                                        "version": "8.0.3-0.0.23174786",
                                        "displayVersion": "8.0 Update 3 - 23174786"
                                    }
                                ]
                            },
                            "addOn": {
                                "version": "string",
                                "name": "string",
                                "vendor": "string",
                                "displayName": "string",
                                "displayVersion": "string"
                            },
                            "components": [
                                {
                                    "id": "string",
                                    "version": "string",
                                    "vendor": "string",
                                    "displayName": "string",
                                    "displayVersion": "string"
                                }
                            ],
                            "solutions": [
                                {
                                    "name": "string",
                                    "id": "string",
                                    "version": "1.3.2.8-1OEM.650.0.0.4598673",
                                    "displayName": "string",
                                    "displayVersion": "string",
                                    "components": [
                                        {
                                            "id": "string",
                                            "version": "string",
                                            "vendor": "string",
                                            "displayName": "string",
                                            "displayVersion": "string"
                                        }
                                    ]
                                }
                            ],
                            "firmwareAndDriverPackages": [
                                {
                                    "id": "string",
                                    "pkg": "string",
                                    "version": "string"
                                }
                            ],
                            "removedComponents": [
                                {
                                    "id": "string",
                                    "version": "string",
                                    "vendor": "string",
                                    "displayName": "string",
                                    "displayVersion": "string"
                                }
                            ],
                            "selectionCriteria": {
                                "selectionType": "One among: HOST_UUID, HOST_HARDWARE_SPEC",
                                "hostUuids": [
                                    "string"
                                ],
                                "hostHardware": {
                                    "vendor": "One among: HOST_UUID, HOST_HARDWARE_SPEC",
                                    "models": [
                                        "One among: HOST_UUID, HOST_HARDWARE_SPEC"
                                    ],
                                    "families": [
                                        "string"
                                    ],
                                    "oemStrings": [
                                        "string"
                                    ]
                                }
                            }
                        }
                    ]
                }
            }
        ],
        "pageMetadata": {
            "pageNumber": 0,
            "pageSize": 0,
            "totalElements": 0,
            "totalPages": 0
        }
    }
}
array of object
errors
Required  

Errors associated to resources for which the query failed

object
queryInfo
Read-Only  

Represents the query info.

object
result
Read-Only  

Represents a page of elements of a single type


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


429

Too Many Requests

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"vCenterIds":["string"]}' https://{api_host}/v1/vcenters/repository-images/queries